## jinput 20100502%2Bdfsg

=== debian/changelog ===
jinput (20100502+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Removed the -doc package
  * Updated the URL of the homepage
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Jun 2020 11:12:40 +0200

jinput (20100502+dfsg-10) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898225)
  * Fixed the build failure on non linux kernels (Closes: #657771)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 08 May 2018 23:53:28 +0200

jinput (20100502+dfsg-9) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Sun, 25 Jun 2017 20:10:58 -0700

jinput (20100502+dfsg-8) experimental; urgency=medium

  * Remove Gabriele Giacone from Uploaders (Closes: #856760)
  * Bump Standards-Version to 3.9.8
  * Use debhelper 10 and update dh sequencer invocation in d/rules
  * Freshen debian/copyright
  * Update Homepage in debian/control
  * Use https Vcs- URLs

 -- tony mancill <tmancill@debian.org>  Mon, 20 Mar 2017 07:04:55 -0700

jinput (20100502+dfsg-7) unstable; urgency=low

  * Team upload.
  * Patch a build.xml to include class-path for javahl call,
    which was needed to fix FTBFS with Java7.

 -- Niels Thykier <niels@thykier.net>  Thu, 21 Jun 2012 14:21:16 +0200

jinput (20100502+dfsg-6) unstable; urgency=low

  * Team upload.
  * Applied patch from Geoffrey Thomas to remove use of an undefined
    macro (or C-function).  (Closes: #633501)

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Jan 2012 16:37:00 +0100

jinput (20100502+dfsg-5) unstable; urgency=low

  * Add jutils to manifest classpath (Closes: #626002).
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 25 Jun 2011 14:57:56 +0200

jinput (20100502+dfsg-4) unstable; urgency=low

  * Standard version to 3.9.0.
  * Linked javadoc to system javadoc.
  * d/copyright: Included full text of BSD license.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 05 Jul 2010 19:59:36 +0200

jinput (20100502+dfsg-3) unstable; urgency=low

  * Team upload.
  * Add DM-Upload-Allowed: yes.

 -- Torsten Werner <twerner@debian.org>  Sat, 29 May 2010 00:05:58 +0200

jinput (20100502+dfsg-2) unstable; urgency=low

  * default-jdk and libjutils-java are needed by architecture-dependant
    targets. Moved from B-D-I to B-D. (Closes: #583322)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 28 May 2010 21:26:43 +0200

jinput (20100502+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #509689)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 02 May 2010 19:09:21 +0200
