## jinput 20100502+dfsg

=== debian/control ===
Source: jinput
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 11),
 default-jdk,
 javahelper (>= 0.29),
 libjutils-java
Build-Depends-Indep:
 default-jdk-doc
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/java-team/jinput.git
Vcs-Browser: https://salsa.debian.org/java-team/jinput
Homepage: https://java.net/projects/jinput

Package: libjinput-java
Architecture: all
Depends:
 libjinput-jni (>= ${source:Version}),
 libjutils-java,
 ${java:Depends},
 ${misc:Depends}
Description: Java Game Controller API
 jinput is an implementation of an API for game controller discovery and
 polled input. It is part of a suite of open-source technologies initiated by
 the Game Technology Group at Sun Microsystems with intention of making the
 development of high performance games in Java a reality.
 The API itself is pure Java and presents a platform-neutral completely
 portable model of controller discovery and polling. It can handle arbitrary
 controllers and returns both human and machine understandable descriptions
 of the inputs available.

Package: libjinput-jni
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Java Game Controller API (jni)
 jinput is an implementation of an API for game controller discovery and
 polled input. It is part of a suite of open-source technologies initiated by
 the Game Technology Group at Sun Microsystems with intention of making the
 development of high performance games in Java a reality.
 The API itself is pure Java and presents a platform-neutral completely
 portable model of controller discovery and polling. It can handle arbitrary
 controllers and returns both human and machine understandable descriptions
 of the inputs available.
 .
 This package contains the java jni library.

Package: libjinput-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Suggests:
 libjinput-java
Recommends:
 default-jdk-doc,
 libjutils-java-doc
Description: Java Game Controller API (javadoc)
 jinput is an implementation of an API for game controller discovery and
 polled input. It is part of a suite of open-source technologies initiated by
 the Game Technology Group at Sun Microsystems with intention of making the
 development of high performance games in Java a reality.
 The API itself is pure Java and presents a platform-neutral completely
 portable model of controller discovery and polling. It can handle arbitrary
 controllers and returns both human and machine understandable descriptions
 of the inputs available.
 .
 This package contains the API documentation for jinput.
