=== debian/rules ===
#!/usr/bin/make -f

NAME    := jinput
VERSION := $(shell dpkg-parsechangelog| sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
CVSDATE := $(shell echo $(VERSION)|sed -n 's/\(....\)\(..\)\(..\)/\1-\2-\3/p')
TMPDIR  := $(NAME)-$(VERSION)
TAR     := ../$(NAME)_$(VERSION)+dfsg.orig.tar.gz
CLASSPATH := /usr/share/java/jutils.jar:$(CURDIR)/dist/jinput-linux.jar

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH

%:
	dh $@ --with javahelper

override_dh_auto_build:
	mkdir lib && cp /usr/share/java/jutils.jar lib
	ant simple_linux -Dlinux=true
	ant -f coreAPI/build.xml javadoc

override_dh_auto_install:
	mv dist/jinput-linux.jar dist/jinput.jar
	install -d -m 755 debian/libjinput-jni/usr/lib/jni
	install -m 644 dist/libjinput.so \
		debian/libjinput-jni/usr/lib/jni/libjinput.so

override_dh_auto_clean:
	rm -rf lib coreAPI/build.number
	find plugins -name 'net_java_games_input_*.h' -delete
	-mkdir plugins/windows/src/native/raw plugins/windows/src/native/dx8
	ant clean

get-orig-source:
	-rm $(TAR)
	cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -D $(CVSDATE) -d $(TMPDIR) $(NAME)
	echo "The following files will not be included in Debian tarball:"
	cd $(TMPDIR) && find . \( -name '*.class' -o -name '*.jar' \) -print -delete
	cd $(TMPDIR) && sh ../debian/remove.nonfree
	ZIP=--best tar --exclude-vcs -zcf $(TAR) $(TMPDIR)
	rm -rf $(TMPDIR)
