=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://www.newdawnsoftware.com/resources/jinput/jinput_dist_(.*).zip
